<?php

namespace Drupal\vue_js_example\Plugin\Block;

use Drupal\Core\Block\BlockBase;

/**
 * Provides a 'VueArticlesBlock' block.
 *
 * @Block(
 *  id = "vue_articles_block",
 *  admin_label = @Translation("Vue articles block"),
 * )
 */
class VueArticlesBlock extends BlockBase {

  /**
   * {@inheritdoc}
   */
  public function build() {
    $build = [];
    $build['#theme'] = 'vue_articles_block';
     $build['vue_articles_block']['#markup'] = 'Implement VueArticlesBlock.';

    return $build;
  }

}
